System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration is used to set revalidation-specific HTTP headers, and is set using the method. If the method is not called, no Cache-Control HTTP header is set.

Provides enumerated values that are used to set revalidation-specific Cache-Control HTTP headers.

- Field
  System.Web.HttpCacheRevalidation To be added

  Sets the HTTP header to Cache-Control: must-revalidate.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheRevalidation To be added

  If this value is set, no cache-revalidation directive is sent. The default value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.HttpCacheRevalidation To be added

  Sets the HTTP header to Cache-Control: proxy-revalidate.

  1.0.5000.0
  2.0.0.0